/*************************************************************************************************
 *     CVS $Id: stk_types.h,v 1.10 2004/01/08 16:11:51 carter Exp $
 * DESCRIPTION: Libstk typedefs used throughout Libstk.
 *     AUTHORS: Darren Hart 
 *  START DATE: 2003/Jun/03
 *
 *   COPYRIGHT: 2003 by Darren Hart, Vernon Mauery, Marc Strmke, Dirk Hrner
 *     LICENSE: This software is licenced under the Libstk license available with the source as 
 *              license.txt or at http://www.libstk.org/index.php?page=docs/license
 *************************************************************************************************/

#ifndef STK_TYPES_H
#define STK_TYPES_H

// macros
#ifndef MIN
#define MIN(A,B) (((A)<(B))?(A):(B))
#endif

#ifndef MAX
#define MAX(A,B) (((A)>(B))?(A):(B))
#endif

namespace stk
{
    // FIXME
    // wrap with some #ifdefs to assure color is an unsigned 32 bit integer
    typedef unsigned int color;
    typedef unsigned char byte;

    enum en_horizontal_alignment
    {
        ha_left,
        ha_center,
        ha_right
    };
    enum en_vertical_alignment
    {
        va_top,
        va_center,
        va_bottom
    };

}

#endif
